%define mozilla_home  %_libdir/mozilla
Name: mozilla
Summary: Web browser and mail reader
Version: 1.2.1
Release: alt6
License: MPL/NPL

Source0: mozilla-%{version}.tar.bz2
Source1: mozilla.sh
Source2: mozilla_16.xpm.bz2
Source3: mozilla_32.xpm.bz2
Source4: mozilla_48.xpm.bz2
Source5: mozilla-1.2-other-licenses.tar.bz2
Source6: mozilla-1.2-ru.tar.bz2
Source7: mozilla-1.2-instchrome.add
Source8: mozilla-1.2-calendar.tar.bz2
Source11: mozilla-exclude-list
Source12: mozilla-psm-exclude-list
#Source13: fonts.conf
Source14: mozilla-copy-package-files.sh
Source18: mozilla-xpcom-exclude-list
Source20: mozilla-1.2-spellcheck.tar.bz2
Source21: mozilla-1.2-extensions_add.tar.bz2
Source22: searchplugins.tar.bz2
Source23:  mozilla-1.2-uk.tar.bz2
#Source24:  mozilla-1.0-de.tar.bz2
Source25: userChrome.css
Source26: bookmarks.html

Patch0: mozilla-navigator-overlay-menu.patch
Patch1: mozilla-editor-overlay-menu.patch
Patch6: mozilla-prefs-debug.patch
Patch7: mozilla-home-page.patch
Patch8: mozilla-mail-home-page.patch
Patch12: mozilla-taskbar-nomozilla.patch
Patch13: mozilla-nspr-packages.patch

# ALT patches
Patch110: mozilla-0.9.6-ps-alt.patch
Patch113: mozilla-0.8.1-utf8title.patch
Patch114: mozilla-0.9.4-pack.patch
Patch115: mozilla-0.9.7-charset.patch
Patch116: mozilla-0.9.7-fonts.patch
Patch117: mozilla-1.2b-l10nru.patch
Patch118: mozilla-0.9.8-rider.patch
Patch121: mozilla-1.0-ipc_enig_spell.patch
Patch122: mozilla-0.9.9-l10n_uk_de.patch
Patch123: mozilla-1.0-fontconfig.patch
Patch124: mozilla-1.0-pack.patch
Patch125: mozilla-1.2b-alt-calendar.patch
Patch126: mozilla-1.2b-alt-version.patch
Patch127: mozilla-1.2b-alt-packages.patch
Patch128: mozilla-1.2-spellcheck.patch
Patch129: mozilla-1.2-calendar_nodebug.patch
Patch130: mozilla-1.2.1-alt-rebuild.patch

#Fattie patch
Patch140: mozilla-1.0-inspector.patch

Group: Networking/WWW
BuildPreReq: libpng-devel, libjpeg-devel, zlib-devel, zip, perl, autoconf, indexhtml, libical-devel, libXft-devel
PreReq: mozilla-nspr = %version-%release
PreReq: urw-fonts
Requires: freetype2 >= 2.1.2-alt2
#temporary!
Obsoletes: mozilla-xmlterm, mozilla-de
Provides: mozilla-xpcom, mozilla-gtkmozembed

# Automatically added by buildreq on Mon Dec 16 2002
BuildRequires: ORBit-devel XFree86-devel XFree86-libs altlinux-release doxygen fontconfig-devel freetype2-devel gcc-c++ glib-devel gtk+-devel libORBit libXft-devel libical-devel libstdc++-devel pkgconfig unzip zip

%description
Mozilla is an open-source web browser, designed for standards
compliance, performance and portability.

%package nspr
Summary: Netscape Portable Runtime
Group: Networking/WWW
Obsoletes: libnspr
Provides: libnspr


%description nspr
NSPR provides platform independence for non-GUI operating system
facilities. These facilities include threads, thread synchronization,
normal file and network I/O, interval timing and calendar time, basic
memory management (malloc and free) and shared library linking.

%package nspr-devel
Summary: Development Libraries for the Netscape Portable Runtime
Group: Networking/WWW
Requires: mozilla-nspr = %version-%release
Obsoletes: libnspr-devel
Provides: libnspr-devel

%description nspr-devel
Header files for doing development with the Netscape Portable Runtime.

%package nss
Summary: Network Security Services
Group: Networking/WWW
Requires: mozilla-nspr = %version-%release
Obsoletes: libnss
Provides: libnss


%description nss
Network Security Services (NSS) is a set of libraries designed to
support cross-platform development of security-enabled server
applications. Applications built with NSS can support SSL v2 and v3,
TLS, PKCS #5, PKCS #7, PKCS #11, PKCS #12, S/MIME, X.509 v3
certificates, and other security standards.

%package nss-devel
Summary: Development Libraries for Network Security Services
Group: Networking/WWW
Requires: mozilla-nss-devel = %version-%release
Obsoletes: libnss-devel
Provides: libnss-devel

%description nss-devel
Header files to doing development with Network Security Services.

%package devel
Summary: Development files for Mozilla
Group: Development/Other
Requires: mozilla = %version-%release

%description devel
Development header files for mozilla.

%package mail
Summary: Mozilla-based mail system
Group: Networking/Mail
Requires: mozilla = %version-%release fileutils

%description mail
Mail/news client based on the Mozilla web browser.  The mail/news
client supports IMAP, POP, and NNTP and has an easy to use interface.

%package psm
Summary: Personal Security Manager
Group: Networking/WWW
PreReq: fileutils mozilla = %version-%release mozilla-nss = %version-%release

%description psm
The Personal Security Manager is a set of libraries that allow Mozilla
to talk to the Network Security Services layer.  It allows Mozilla to
access SSL web sites and manage cryptographic keys.

%package irc
Summary: IRC support for Mozilla
Group: Networking/IRC
PreReq: mozilla = %version-%release

%description irc
irc support for Mozilla.

#%package xmlterm
#Summary: XML enabled Terminal Client for Mozilla
#Group: Networking/Other
#PreReq: %name = %version-%release

#%description xmlterm
#This is a terminal client written for mozilla that has special capabilities.
#   When combined with the xls, and xcat programs, you can get directory listings with
#   thumbnails for images, and you can cat known file types and view them inline.

%package js-debugger
Summary: JavaScript debugger for use with Mozilla
Group: Networking/WWW
PreReq: fileutils mozilla = %version-%release

%description js-debugger
JavaScript debugger for use with Mozilla.

%package dom-inspector
Summary: A tool for inspecting the DOM of pages in Mozilla
Group: Networking/WWW
PreReq: fileutils mozilla = %version-%release

%description dom-inspector
This is a tool that allows you to inspect the DOM for web pages in
Mozilla.  This is of great use to people who are doing Mozilla chrome
development or web page development.

%package spellchecker
Summary: Spellchecker for Mozilla
Group: Networking/WWW
License: LGPL
PreReq: fileutils mozilla = %version-%release

%description spellchecker
Spellchecker package for Mozilla.

%package ipc
Summary: Inter-process communication in Mozilla
Group: Networking/WWW
PreReq: fileutils mozilla = %version-%release

%description ipc
Inter-process communication in Mozilla

%package enigmail
Summary: GPG/PGP integration in Mozilla
Group: Networking/WWW
PreReq: fileutils mozilla = %version-%release mozilla-ipc = %version-%release mozilla-mail = %version-%release gnupg

%description enigmail
GPG/PGP integration in Mozilla

%package calendar
Summary: Mozilla Calendar
Group: Networking/WWW
PreReq: fileutils mozilla = %version-%release

%description calendar
Mozilla Calendar

%package ru
Summary: Mozilla in Russian
Group: Networking/WWW
PreReq: mozilla = %version-%release

%description ru
Mozilla in Russian

%package uk
Summary: Mozilla in Ukrainian
Group: Networking/WWW
PreReq: mozilla = %version-%release

%description uk
Mozilla in Ukrainian

#package de
#Summary: Mozilla in Deutsch (Austria)
#Group: Networking/WWW
#PreReq: mozilla = %version-%release

#%description de
#Mozilla in Deutsch

%prep
%setup -q -n mozilla -a5 -a8 -a21
%setup -T -D -q -n mozilla/extensions -a20
%setup -T -D -n mozilla

%patch7 -p1 -b .home-page

%patch8 -p1 -b .mail-home

%patch12 -p1
%patch13 -p1

#ALT patches
%patch116 -p1
%patch117 -p1
#patch121 -p1
%patch122 -p1
#patch123 -p1
%patch124 -p1
%patch125 -p1
#patch126 -p1
%patch127 -p1
%patch128 -p1
%patch129 -p1
%patch130 -p1

#patch140 -p1

%build
export MOZ_INTERNAL_LIBART_LGPL=1
export BUILD_OFFICIAL=1
export MOZ_CALENDAR=1
# build mozilla
BUILD_OFFICIAL=1 MOZILLA_OFFICIAL=1 ./configure --prefix=%prefix \
	--enable-optimize="-O2" --disable-debug  --disable-pedantic \
	--enable-strip-libs --disable-tests \
	--enable-svg --enable-crypto --enable-nspr-autoconf \
	--with-default-mozilla-five-home=%_libdir/mozilla \
	--enable-extensions=default,irc,spellcheck --disable-short-wchar --enable-mathml \
	--enable-bidi --disable-xprint  \
	--without-system-nspr --disable-freetype2 --enable-xft --enable-calendar

BUILD_OFFICIAL=1 MOZILLA_OFFICIAL=1 MOZ_CALENDAR=1 %make -s 

cd extensions/ipc
BUILD_OFFICIAL=1 MOZILLA_OFFICIAL=1 %make -s
cd -
cd extensions/enigmail
BUILD_OFFICIAL=1 MOZILLA_OFFICIAL=1 %make -s
cd -
BUILD_OFFICIAL=1 MOZILLA_OFFICIAL=1 %make -s
make
cd -

cd $RPM_BUILD_DIR/%name/dist/bin/chrome
  tar jxvf %SOURCE6
  tar jxvf %SOURCE23
cd -
cd $RPM_BUILD_DIR/%name/dist/bin/
  tar jxvf %SOURCE22
cd -

cp %SOURCE25 $RPM_BUILD_DIR/mozilla/dist/bin/defaults/profile/chrome/
cp %SOURCE26 $RPM_BUILD_DIR/mozilla/dist/bin/defaults/profile/

%install

mkdir -p $RPM_BUILD_ROOT%_includedir/nspr
mkdir -p $RPM_BUILD_ROOT%_includedir/nss
mkdir -p $RPM_BUILD_ROOT%_includedir/mozilla/idl


BUILD_OFFICIAL=1 MOZILLA_OFFICIAL=1 MOZ_CALENDAR=1 \
	DESTDIR=$RPM_BUILD_ROOT \
	make install
pushd .
cd $RPM_BUILD_ROOT%_libdir
mv  mozilla-%{version} mozilla
ln -s mozilla mozilla-%{version}
cd ../include
mv  mozilla-%{version} mozilla
ln -s mozilla mozilla-%{version}
cd ../share/idl
mv  mozilla-%{version} mozilla
ln -s mozilla mozilla-%{version}
popd

pushd .
cd $RPM_BUILD_ROOT/usr/lib/mozilla
# copy nspr
mv -v \
  libnspr4.so libplc4.so libplds4.so \
  $RPM_BUILD_ROOT/usr/lib/

# copy nss
mv -v \
  libnss3.so libsmime3.so libsoftokn3.so libssl3.so \
  $RPM_BUILD_ROOT/usr/lib/

# copy system libs
mv -v \
  libgkgfx.so libjsj.so libmozjs.so libxpcom.so \
  libgtkembedmoz.so libgtksuperwin.so libgtkxtbin.so \
  $RPM_BUILD_ROOT/usr/lib/

# copy searchplugins 
cd $RPM_BUILD_ROOT/usr/lib/mozilla/
  tar jxvf %SOURCE22
cd -

cd $RPM_BUILD_ROOT/usr/lib/mozilla/chrome
  tar jxvf %SOURCE23
cd -

# libnssckbi.so must be in both places
cp -v libnssckbi.so $RPM_BUILD_ROOT/usr/lib/
popd

# copy enigmail & ipc
cp -arL dist/bin/components/*enig*  $RPM_BUILD_ROOT%mozilla_home/components/
cp -arL dist/bin/components/*ipc*  $RPM_BUILD_ROOT%mozilla_home/components/
cp -arL dist/bin/chrome/enigmail.jar  $RPM_BUILD_ROOT%mozilla_home/chrome/

# copy spellchecker
cp -arL dist/bin/components/*spell*  $RPM_BUILD_ROOT%mozilla_home/components/

# copy ru
cp -arL dist/bin/chrome/ru-*.jar  $RPM_BUILD_ROOT%mozilla_home/chrome/
cp -arL dist/bin/chrome/RU.jar  $RPM_BUILD_ROOT%mozilla_home/chrome/

rm -f %_tmppath/mozilla-nspr.list
rm -f %_tmppath/mozilla-nspr.list.shared
rm -f %_tmppath/mozilla-nspr.package
build/package/rpm/SOURCES/mozilla-make-package.pl --package nspr --output-file %_tmppath/mozilla-nspr.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --install-dir $RPM_BUILD_ROOT/usr/lib \
    --install-root /usr/lib

rm -f %_tmppath/mozilla-nss.list
rm -f %_tmppath/mozilla-nss.list.shared
rm -f %_tmppath/mozilla-nss.package
build/package/rpm/SOURCES/mozilla-make-package.pl --package nss --output-file %_tmppath/mozilla-nss.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --install-dir $RPM_BUILD_ROOT/usr/lib \
    --install-root /usr/lib
# manually add the libnssckbi.so file
echo /usr/lib/mozilla/libnssckbi.so >> %_tmppath/mozilla-nss.list

# create a list of all of the different package and the files that
# will hold them
rm -f %_tmppath/mozilla.list
rm -f %_tmppath/mozilla.list.shared
rm -f %_tmppath/mozilla.package
build/package/rpm/SOURCES/mozilla-make-package.pl --package langenus --output-file %_tmppath/mozilla.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --install-dir $RPM_BUILD_ROOT/usr/lib/mozilla \
    --install-root /usr/lib/mozilla

# add mozilla version of libart
echo "/usr/lib/mozilla/libmoz_art_lgpl.so" >> %_tmppath/mozilla.list
# add mathml files
#echo "components/libucvmath.so" >> %_tmppath/mozilla.list
#echo "res/fonts/mathfont*.properties" >> %_tmppath/mozilla.list
#echo "res/mathml.css" >> %_tmppath/mozilla.list
#echo "dtd/mathml.dtd" >> %_tmppath/mozilla.list

build/package/rpm/SOURCES/mozilla-make-package.pl --package regus --output-file %_tmppath/mozilla.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --install-dir $RPM_BUILD_ROOT/usr/lib/mozilla \
    --install-root /usr/lib/mozilla

build/package/rpm/SOURCES/mozilla-make-package.pl --package deflenus --output-file %_tmppath/mozilla.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --install-dir $RPM_BUILD_ROOT/usr/lib/mozilla \
    --install-root /usr/lib/mozilla

build/package/rpm/SOURCES/mozilla-make-package.pl --package xpcom --output-file %_tmppath/mozilla.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --install-dir $RPM_BUILD_ROOT/usr/lib/mozilla \
    --install-root /usr/lib/mozilla \
    --exclude-file=%SOURCE18

build/package/rpm/SOURCES/mozilla-make-package.pl --package browser --output-file %_tmppath/mozilla.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --install-dir $RPM_BUILD_ROOT/usr/lib/mozilla \
    --install-root /usr/lib/mozilla \
    --exclude-file=%SOURCE11

rm -f %_tmppath/mozilla-mail.list
rm -f %_tmppath/mozilla-mail.list.shared
rm -f %_tmppath/mozilla-mail.package
build/package/rpm/SOURCES/mozilla-make-package.pl --package mail --output-file %_tmppath/mozilla-mail.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --install-dir $RPM_BUILD_ROOT/usr/lib/mozilla \
    --install-root /usr/lib/mozilla

rm -f %_tmppath/mozilla-psm.list
rm -f %_tmppath/mozilla-psm.list.shared
rm -f %_tmppath/mozilla-psm.package
build/package/rpm/SOURCES/mozilla-make-package.pl --package psm --output-file %_tmppath/mozilla-psm.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --install-dir $RPM_BUILD_ROOT/usr/lib/mozilla \
    --install-root /usr/lib/mozilla  --exclude-file=%SOURCE12

rm -f %_tmppath/mozilla-chat.list
rm -f %_tmppath/mozilla-chat.list.shared
rm -f %_tmppath/mozilla-chat.package
build/package/rpm/SOURCES/mozilla-make-package.pl --package chatzilla --output-file %_tmppath/mozilla-chat.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --install-dir $RPM_BUILD_ROOT/usr/lib/mozilla \
    --install-root /usr/lib/mozilla

rm -f %_tmppath/mozilla-js-debugger.list
rm -f %_tmppath/mozilla-js-debugger.list.shared
rm -f %_tmppath/mozilla-js-debugger.package
build/package/rpm/SOURCES/mozilla-make-package.pl --package venkman --output-file %_tmppath/mozilla-js-debugger.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --install-dir $RPM_BUILD_ROOT/usr/lib/mozilla \
    --install-root /usr/lib/mozilla

rm -f %_tmppath/mozilla-dom-inspector.list
rm -f %_tmppath/mozilla-dom-inspector.list.shared
rm -f %_tmppath/mozilla-dom-inspector.package
build/package/rpm/SOURCES/mozilla-make-package.pl --package inspector --output-file %_tmppath/mozilla-dom-inspector.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --install-dir $RPM_BUILD_ROOT/usr/lib/mozilla \
    --install-root /usr/lib/mozilla

rm -f %_tmppath/mozilla-ru.list
rm -f %_tmppath/mozilla-langru.list

build/package/rpm/SOURCES/mozilla-make-package.pl --package langruru --output-file %_tmppath/mozilla-langru.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --install-dir $RPM_BUILD_ROOT/usr/lib/mozilla \
    --install-root /usr/lib/mozilla

rm -f %_tmppath/mozilla-regru.list
rm -f %_tmppath/mozilla-regru.package

build/package/rpm/SOURCES/mozilla-make-package.pl --package regru --output-file %_tmppath/mozilla-regru.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --install-dir $RPM_BUILD_ROOT/usr/lib/mozilla \
    --install-root /usr/lib/mozilla

cat %_tmppath/mozilla-langru.list > %_tmppath/mozilla-ru.list
cat %_tmppath/mozilla-regru.list >> %_tmppath/mozilla-ru.list


rm -f %_tmppath/mozilla-uk.list
rm -f %_tmppath/mozilla-languk.list

build/package/rpm/SOURCES/mozilla-make-package.pl --package langukua --output-file %_tmppath/mozilla-languk.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --install-dir $RPM_BUILD_ROOT/usr/lib/mozilla \
    --install-root /usr/lib/mozilla

rm -f %_tmppath/mozilla-regua.list
rm -f %_tmppath/mozilla-regua.package

build/package/rpm/SOURCES/mozilla-make-package.pl --package regua --output-file %_tmppath/mozilla-regua.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --install-dir $RPM_BUILD_ROOT/usr/lib/mozilla \
    --install-root /usr/lib/mozilla

cat %_tmppath/mozilla-languk.list > %_tmppath/mozilla-uk.list
cat %_tmppath/mozilla-regua.list >> %_tmppath/mozilla-uk.list


#build/package/rpm/SOURCES/mozilla-make-package.pl --package langdeat --output-file %_tmppath/mozilla-de.list \
#    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
#    --source $RPM_BUILD_DIR/mozilla/dist

#build/package/rpm/SOURCES/mozilla-make-package.pl --package regat --output-file %_tmppath/mozilla-de.list \
#    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
#    --source $RPM_BUILD_DIR/mozilla/dist

rm -f %_tmppath/mozilla-spellchecker.list
rm -f %_tmppath/mozilla-spellchecker.list.shared
rm -f %_tmppath/mozilla-spellchecker.package
build/package/rpm/SOURCES/mozilla-make-package.pl --package spellchecker --output-file %_tmppath/mozilla-spellchecker.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --install-dir $RPM_BUILD_ROOT/usr/lib/mozilla \
    --install-root /usr/lib/mozilla

rm -f %_tmppath/mozilla-ipc.list
rm -f %_tmppath/mozilla-ipc.list.shared
rm -f %_tmppath/mozilla-ipc.package
build/package/rpm/SOURCES/mozilla-make-package.pl --package ipc --output-file %_tmppath/mozilla-ipc.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --install-dir $RPM_BUILD_ROOT/usr/lib/mozilla \
    --install-root /usr/lib/mozilla

rm -f %_tmppath/mozilla-enigmail.list
rm -f %_tmppath/mozilla-enigmail.list.shared
rm -f %_tmppath/mozilla-enigmail.package
build/package/rpm/SOURCES/mozilla-make-package.pl --package enigmail --output-file %_tmppath/mozilla-enigmail.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --install-dir $RPM_BUILD_ROOT/usr/lib/mozilla \
    --install-root /usr/lib/mozilla


rm -f %_tmppath/mozilla-calendar.list
rm -f %_tmppath/mozilla-calendar.list.shared
rm -f %_tmppath/mozilla-calendar.package
build/package/rpm/SOURCES/mozilla-make-package.pl --package calendar --output-file %_tmppath/mozilla-calendar.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --install-dir $RPM_BUILD_ROOT/usr/lib/mozilla \
    --install-root /usr/lib/mozilla

%if 0
%{SOURCE14} %_tmppath/mozilla-spellchecker.list %_tmppath/mozilla-spellchecker.list \
    $RPM_BUILD_ROOT/%_libdir/mozilla \
    $RPM_BUILD_DIR/mozilla/dist/bin \
    %_libdir/mozilla

%{SOURCE14}  %_tmppath/mozilla-ipc.list %_tmppath/mozilla-ipc.list \
    $RPM_BUILD_ROOT/%_libdir/mozilla \
    $RPM_BUILD_DIR/mozilla/dist/bin \
    %_libdir/mozilla

%{SOURCE14}  %_tmppath/mozilla-enigmail.list %_tmppath/mozilla-enigmail.list \
    $RPM_BUILD_ROOT/%_libdir/mozilla \
    $RPM_BUILD_DIR/mozilla/dist/bin \
    %_libdir/mozilla

#%{SOURCE14}  %_tmppath/mozilla-ru.list %_tmppath/mozilla-ru.list \
#    $RPM_BUILD_ROOT/%_libdir/mozilla \
#    $RPM_BUILD_DIR/mozilla/dist/bin \
#    %_libdir/mozilla

%{SOURCE14}  %_tmppath/mozilla-calendar.list %_tmppath/mozilla-calendar.list \
    $RPM_BUILD_ROOT/%_libdir/mozilla \
    $RPM_BUILD_DIR/mozilla/dist/bin \
    %_libdir/mozilla

%endif 
#hack for correct enigmail installation
cat << EOF >> $RPM_BUILD_ROOT%mozilla_home/chrome/installed-chrome.txt
content,install,url,jar:resource:/chrome/enigmail.jar!/content/enigmail/
skin,install,url,jar:resource:/chrome/enigmail.jar!/skin/modern/enigmail/
skin,install,url,jar:resource:/chrome/enigmail.jar!/skin/classic/enigmail/
locale,install,url,jar:resource:/chrome/enigmail.jar!/locale/en-US/enigmail/
EOF

# build our initial component and chrome registry
# we don't need to do this anymore

pushd `pwd`
  cd $RPM_BUILD_ROOT%_libdir/mozilla
  cat %SOURCE7 >> chrome/installed-chrome.txt
  rm -rf  $RPM_BUILD_ROOT%_libdir/mozilla/components/xpti* $RPM_BUILD_ROOT%_libdir/mozilla/component.reg
  # register our components
  LD_LIBRARY_PATH=$RPM_BUILD_ROOT%_libdir/mozilla:$RPM_BUILD_ROOT%_libdir MOZILLA_FIVE_HOME=$RPM_BUILD_ROOT%_libdir/mozilla ./regxpcom
  # set up the default skin and locale to trigger the generation of
  # the user-locales and users-skins.rdf
  echo "skin,install,select,classic/1.0" >> chrome/installed-chrome.txt
  echo "locale,install,select,en-US" >> chrome/installed-chrome.txt
  # set up the chrome rdf files
  LD_LIBRARY_PATH=$RPM_BUILD_ROOT%_libdir/mozilla:$RPM_BUILD_ROOT%_libdir MOZILLA_FIVE_HOME=$RPM_BUILD_ROOT%_libdir/mozilla ./regchrome
  # fix permissions of the chrome directories
  find . -type d -perm 0700 -exec chmod 755 {} \; || :
popd


# cp -L (dereference all symlinks) is required for fileutils >= 2.0.27
# (POSIX compliance); prior versions don't understand -L, so fall back...
# copy the nss files to the right place
/usr/bin/find security/nss/lib/ -name '*.h' -type f -exec cp {} \
 $RPM_BUILD_ROOT/%_includedir/nss/ \;

# copy the nspr files to the right place
/bin/cp -rL dist/include/nspr/*  \
     $RPM_BUILD_ROOT/%_includedir/nspr/ || \
  /bin/cp -r dist/include/nspr/*   \
     $RPM_BUILD_ROOT/%_includedir/nspr/
# copy xmlterm files
#/bin/cp -rL dist/bin/{xmlterm,xcat,xls}  $RPM_BUILD_ROOT%_bindir || \
#		/bin/cp -r dist/bin/{xmlterm,xcat,xls}  $RPM_BUILD_ROOT%_bindir
#/bin/cp -rL dist/bin/chrome/xmlterm.jar  $RPM_BUILD_ROOT%_libdir/mozilla/chrome || \
#		/bin/cp -r dist/bin/chrome/xmlterm.jar  $RPM_BUILD_ROOT%_libdir/mozilla/chrome
#/bin/cp -rL dist/bin/components/*xmlterm*  $RPM_BUILD_ROOT%_libdir/mozilla/components || \
#		/bin/cp -r dist/bin/components/*xmlterm*  $RPM_BUILD_ROOT%_libdir/mozilla/components

# copy include and idl files
/bin/cp -rL dist/include/* $RPM_BUILD_ROOT%_includedir/mozilla || \
		/bin/cp -r dist/include/* $RPM_BUILD_ROOT%_includedir/mozilla

/bin/cp -rL dist/idl/* $RPM_BUILD_ROOT%_includedir/mozilla/idl || \
		/bin/cp -r dist/idl/* $RPM_BUILD_ROOT%_includedir/mozilla/idl

# copy our devel tools
/bin/cp -rL dist/bin/xpcshell $RPM_BUILD_ROOT%_libdir/mozilla || \
		/bin/cp -r dist/bin/xpcshell $RPM_BUILD_ROOT%_libdir/mozilla

/bin/cp -rL dist/bin/xpidl $RPM_BUILD_ROOT%_libdir/mozilla || \
		/bin/cp -r dist/bin/xpidl $RPM_BUILD_ROOT%_libdir/mozilla

/bin/cp -rL dist/bin/xpt_dump $RPM_BUILD_ROOT%_libdir/mozilla || \
		/bin/cp -r dist/bin/xpt_dump $RPM_BUILD_ROOT%_libdir/mozilla

/bin/cp -rL dist/bin/xpt_link $RPM_BUILD_ROOT%_libdir/mozilla || \
		/bin/cp -r dist/bin/xpt_link $RPM_BUILD_ROOT%_libdir/mozilla

# put mozilla-xremote-client into the standard path
/bin/cp $RPM_BUILD_DIR/mozilla/dist/bin/mozilla-xremote-client \
        $RPM_BUILD_ROOT%_bindir

# workaround for bug 81429

(cd $RPM_BUILD_ROOT%_libdir/mozilla
ln -s ../libnssckbi.so libnssckbi.so
echo %_libdir/mozilla/libnssckbi.so >> %_tmppath/mozilla.list
)

mkdir -p $RPM_BUILD_ROOT%{_miconsdir} $RPM_BUILD_ROOT%{_liconsdir}

bzcat %SOURCE2 > $RPM_BUILD_ROOT%_miconsdir/%name.xpm
bzcat %SOURCE3 > $RPM_BUILD_ROOT%_iconsdir/%name.xpm
bzcat %SOURCE4 > $RPM_BUILD_ROOT%_liconsdir/%name.xpm

cp %SOURCE1 $RPM_BUILD_ROOT%_bindir/mozilla
#cp build/package/rpm/SOURCES/mozilla.sh  $RPM_BUILD_ROOT%_bindir/mozilla
cp build/package/rpm/SOURCES/rebuild-databases.sh $RPM_BUILD_ROOT%_libdir/mozilla/rebuild-databases.sh

# installs menu file
install -m 755 -d $RPM_BUILD_ROOT%_menudir
# WARNING : GNOME duplicate entry is needed to be able to launch
# Mozilla when xalf is installed. This entry must be added in
# menu file BEFORE "x11" menu entry
cat << EOF >> $RPM_BUILD_ROOT%_menudir/%name
?package(%name):\
  icon="mozilla.xpm"\
  needs="x11"\
  section="Networking/WWW"\
  title="Mozilla"\
  longtitle="The free and open source web browser"\
  command="%_bindir/mozilla"
EOF

# installs menu file
install -m 755 -d $RPM_BUILD_ROOT%_menudir
# WARNING : GNOME duplicate entry is needed to be able to launch
# Mozilla when xalf is installed. This entry must be added in
# menu file BEFORE "x11" menu entry
cat << EOF >> $RPM_BUILD_ROOT%_menudir/%name-mail
?package(%name-mail):\
  icon="mozilla.xpm"\
  needs="x11"\
  section="Networking/Mail"\
  title="Mozilla Messenger"\
  longtitle="The free and open source web browser"\
  command="%_bindir/mozilla -mail"
EOF

# installs menu file
install -m 755 -d $RPM_BUILD_ROOT%_menudir
# WARNING : GNOME duplicate entry is needed to be able to launch
# Mozilla when xalf is installed. This entry must be added in
# menu file BEFORE "x11" menu entry
#cat << EOF >> $RPM_BUILD_ROOT%_menudir/%name-xmlterm
#?package(%name-xmlterm):\
#  icon="mozilla.xpm"\
#  needs="gnome"\
#  section="Terminals"\
#  title="Mozilla XTerm"\
#  longtitle="XTerm implemented with Mozilla toolkit"\
#  command="NO_XALF %_bindir/mozilla -terminal"
#?package(%name-xmlterm):\
#  icon="mozilla.xpm"\
#  needs="gnome"\
#  section="Terminals"\
#  title="Mozilla XTerm"\
#  longtitle="XTerm implemented with Mozilla toolkit"\
#  command="NO_XALF %_bindir/mozilla -terminal"
#EOF

subst 's/mozilla-1\.2b/mozilla/g' $RPM_BUILD_ROOT/usr/lib/pkgconfig/*.pc
subst 's/1\.2b/1\.2/g' $RPM_BUILD_ROOT/usr/lib/pkgconfig/*.pc
subst 's/\/xpcom/\/mozilla\/xpcom/g' $RPM_BUILD_ROOT/usr/lib/pkgconfig/mozilla-xpcom.pc

%triggerin -- netscape-plugins
if [ -f %_libdir/netscape/plugins/libflashplayer.so -a ! -f %_libdir/mozilla/plugins/libflashplayer.so ]; then
 ln -s %_libdir/netscape/plugins/libflashplayer.so %_libdir/mozilla/plugins/libflashplayer.so
 ln -s %_libdir/netscape/plugins/ShockwaveFlash.class %_libdir/mozilla/plugins/ShockwaveFlash.class
fi

%triggerpostun -- netscape-plugins
[ "$2" = "0" ] || exit 0
if [ -L %_libdir/mozilla/plugins/libflashplayer.so -a ! -f `perl -e 'print readlink("%_libdir/mozilla/plugins/libflashplayer.so");'` ]; then
 rm -f %_libdir/mozilla/plugins/libflashplayer.so
 rm -f %_libdir/mozilla/plugins/ShockwaveFlash.class
fi

%post
# menu
# check if flash plugin is installed
if [ -f %_libdir/netscape/plugins/libflashplayer.so -a ! -f %_libdir/mozilla/plugins/libflashplayer.so ]; then
 ln -s %_libdir/netscape/plugins/libflashplayer.so %_libdir/mozilla/plugins/libflashplayer.so
fi
if [ -f %_libdir/netscape/plugins/ShockwaveFlash.class -a ! -f %_libdir/mozilla/plugins/ShockwaveFlash.class ]; then
 ln -s %_libdir/netscape/plugins/ShockwaveFlash.class %_libdir/mozilla/plugins/ShockwaveFlash.class
fi
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -f /usr/lib/mozilla/rebuild-databases.sh ]; then
    /usr/lib/mozilla/rebuild-databases.sh
fi
%update_menus

%postun
/sbin/ldconfig >/dev/null 2>/dev/null
## menu
%clean_menus

%preun
if [ "$1" == "0" ]; then
	/bin/rm -rf %_libdir/mozilla/chrome/overlayinfo
	/bin/rm -f %_libdir/mozilla/chrome/*.rdf
	/bin/rm -f %_libdir/mozilla/component.reg
	/bin/rm -f %_libdir/mozilla/components/xpti*.dat
	if [ -L %_libdir/mozilla/plugins/libflashplayer.so ]; then
		 rm -f %_libdir/mozilla/plugins/libflashplayer.so
                 rm -f %_libdir/mozilla/plugins/ShockwaveFlash.class
	fi
fi

%post nspr
/sbin/ldconfig >/dev/null 2>/dev/null

%postun nspr
/sbin/ldconfig >/dev/null 2>/dev/null

%post nss
/sbin/ldconfig >/dev/null 2>/dev/null

%postun nss
/sbin/ldconfig >/dev/null 2>/dev/null

%post mail
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -f /usr/lib/mozilla/rebuild-databases.sh ]; then
    /usr/lib/mozilla/rebuild-databases.sh
fi
%update_menus

%postun mail
if [ "$1" == "0" ]; then
    /sbin/ldconfig >/dev/null 2>/dev/null
    if [ -f /usr/lib/mozilla/rebuild-databases.sh ]; then
	/usr/lib/mozilla/rebuild-databases.sh
    fi
fi
%clean_menus

%post psm
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -f /usr/lib/mozilla/rebuild-databases.sh ]; then
    /usr/lib/mozilla/rebuild-databases.sh
fi

%postun psm
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -f /usr/lib/mozilla/rebuild-databases.sh ]; then
    /usr/lib/mozilla/rebuild-databases.sh
fi

%post irc
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -f /usr/lib/mozilla/rebuild-databases.sh ]; then
    /usr/lib/mozilla/rebuild-databases.sh
fi

%postun irc
if [ "$1" == "0" ]; then
    /sbin/ldconfig >/dev/null 2>/dev/null
    if [ -f /usr/lib/mozilla/rebuild-databases.sh ]; then
	/usr/lib/mozilla/rebuild-databases.sh
    fi
fi

%post js-debugger
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -f /usr/lib/mozilla/rebuild-databases.sh ]; then
    /usr/lib/mozilla/rebuild-databases.sh
fi

%postun js-debugger
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -f /usr/lib/mozilla/rebuild-databases.sh ]; then
    /usr/lib/mozilla/rebuild-databases.sh
fi

%post dom-inspector
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -f /usr/lib/mozilla/rebuild-databases.sh ]; then
    /usr/lib/mozilla/rebuild-databases.sh
fi

%postun dom-inspector
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -f /usr/lib/mozilla/rebuild-databases.sh ]; then
    /usr/lib/mozilla/rebuild-databases.sh
fi

#post xmlterm
#/sbin/ldconfig >/dev/null 2>/dev/null

#if [ -f /usr/lib/mozilla/rebuild-databases.sh ]; then
#    /usr/lib/mozilla/rebuild-databases.sh
#fi

#postun xmlterm
#/sbin/ldconfig >/dev/null 2>/dev/null

#if [ -f /usr/lib/mozilla/rebuild-databases.sh ]; then
#    /usr/lib/mozilla/rebuild-databases.sh
#fi

%post spellchecker
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -f /usr/lib/mozilla/rebuild-databases.sh ]; then
    /usr/lib/mozilla/rebuild-databases.sh
fi

%postun spellchecker
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -f /usr/lib/mozilla/rebuild-databases.sh ]; then
    /usr/lib/mozilla/rebuild-databases.sh
fi

%post ipc
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -f /usr/lib/mozilla/rebuild-databases.sh ]; then
    /usr/lib/mozilla/rebuild-databases.sh
fi

%postun ipc
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -f /usr/lib/mozilla/rebuild-databases.sh ]; then
    /usr/lib/mozilla/rebuild-databases.sh
fi

%post enigmail
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -f /usr/lib/mozilla/rebuild-databases.sh ]; then
    /usr/lib/mozilla/rebuild-databases.sh
fi

%postun enigmail
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -f /usr/lib/mozilla/rebuild-databases.sh ]; then
    /usr/lib/mozilla/rebuild-databases.sh
fi

%post ru
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

perl -pi -e 's/select\,en-US/select\,ru-RU/g' %_libdir/%name/chrome/installed-chrome.txt
perl -pi -e 's/select\,uk-UA/select\,ru-RU/g' %_libdir/%name/chrome/installed-chrome.txt
perl -pi -e 's/select\,de-AT/select\,ru-RU/g' %_libdir/%name/chrome/installed-chrome.txt

if [ -f /usr/lib/mozilla/rebuild-databases.sh ]; then
    /usr/lib/mozilla/rebuild-databases.sh
fi

%postun ru
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -f /usr/lib/mozilla/chrome/uk-UA.jar ]; then
  perl -pi -e 's/select\,ru-RU/select\,uk-UA/g' %_libdir/%name/chrome/installed-chrome.txt
elif  [ -f /usr/lib/mozilla/chrome/de-AT.jar ]; then
  perl -pi -e 's/select\,ru-RU/select\,de-AT/g' %_libdir/%name/chrome/installed-chrome.txt
else
  perl -pi -e 's/select\,ru-RU/select\,en-US/g' %_libdir/%name/chrome/installed-chrome.txt
fi

if [ -f /usr/lib/mozilla/rebuild-databases.sh ]; then
    /usr/lib/mozilla/rebuild-databases.sh
fi

%post uk
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

perl -pi -e 's/select\,en-US/select\,uk-UA/g' %_libdir/%name/chrome/installed-chrome.txt
perl -pi -e 's/select\,ru-RU/select\,uk-UA/g' %_libdir/%name/chrome/installed-chrome.txt
perl -pi -e 's/select\,de-AT/select\,uk-UA/g' %_libdir/%name/chrome/installed-chrome.txt
if [ -f /usr/lib/mozilla/rebuild-databases.sh ]; then
    /usr/lib/mozilla/rebuild-databases.sh
fi

%postun uk
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -f /usr/lib/mozilla/chrome/ru-RU.jar ]; then
  perl -pi -e 's/select\,uk-UA/select\,ru-RU/g' %_libdir/%name/chrome/installed-chrome.txt
elif  [ -f /usr/lib/mozilla/chrome/de-AT.jar ]; then
  perl -pi -e 's/select\,uk-UA/select\,de-AT/g' %_libdir/%name/chrome/installed-chrome.txt
else
  perl -pi -e 's/select\,uk-UA/select\,en-US/g' %_libdir/%name/chrome/installed-chrome.txt
fi

if [ -f /usr/lib/mozilla/rebuild-databases.sh ]; then
    /usr/lib/mozilla/rebuild-databases.sh
fi

#post de
# run ldconfig before regxpcom
#/sbin/ldconfig >/dev/null 2>/dev/null

#perl -pi -e 's/select\,en-US/select\,de-AT/g' %_libdir/%name/chrome/installed-chrome.txt
#perl -pi -e 's/select\,ru-RU/select\,de-AT/g' %_libdir/%name/chrome/installed-chrome.txt
#perl -pi -e 's/select\,uk-UA/select\,de-AT/g' %_libdir/%name/chrome/installed-chrome.txt

#if [ -f /usr/lib/mozilla/rebuild-databases.sh ]; then
#    /usr/lib/mozilla/rebuild-databases.sh
#fi

#%postun de
# run ldconfig before regxpcom
#/sbin/ldconfig >/dev/null 2>/dev/null

#if [ -f /usr/lib/mozilla/chrome/ru-RU.jar ]; then
#  perl -pi -e 's/select\,de-AT/select\,ru-RU/g' %_libdir/%name/chrome/installed-chrome.txt
#elif  [ -f /usr/lib/mozilla/chrome/uk-UA.jar ]; then
#  perl -pi -e 's/select\,de-AT/select\,uk-UA/g' %_libdir/%name/chrome/installed-chrome.txt
#else
#  perl -pi -e 's/select\,de-AT/select\,en-US/g' %_libdir/%name/chrome/installed-chrome.txt
#fi

#if [ -f /usr/lib/mozilla/rebuild-databases.sh ]; then
#    /usr/lib/mozilla/rebuild-databases.sh
#fi

%files -f %_tmppath/mozilla.list
%_bindir/mozilla
%_bindir/mozilla-xremote-client
%attr(755,root,root) %_libdir/mozilla/rebuild-databases.sh
%_libdir/libgkgfx.so
%_libdir/libjsj.so
%_libdir/libmozjs.so
%_libdir/libxpcom.so
%_libdir/libgtkembedmoz.so
%_libdir/libgtksuperwin.so
%_libdir/libgtkxtbin.so
%_menudir/%name
%_miconsdir/%name.xpm
%_iconsdir/%name.xpm
%_liconsdir/%name.xpm
%dir %_libdir/mozilla/defaults/pref
%dir %_libdir/mozilla/defaults/profile/US
%dir %_libdir/mozilla/defaults/profile
%dir %_libdir/mozilla/defaults/wallet
%dir %_libdir/mozilla/defaults
%dir %_libdir/mozilla/chrome
%dir %_libdir/mozilla/components
%dir %_libdir/mozilla/res/builtin
%dir %_libdir/mozilla/res/html
%dir %_libdir/mozilla/res/samples
%dir %_libdir/mozilla/res/entityTables
%dir %_libdir/mozilla/res/rdf
%dir %_libdir/mozilla/res
%dir %_libdir/mozilla/icons
%dir %_libdir/mozilla/searchplugins
%dir %_libdir/mozilla/plugins
%dir %_libdir/mozilla
%dir %_libdir/mozilla-%{version}
#%verify (not md5 mtime size) %_libdir/mozilla/component.reg
%verify (not md5 mtime size) %_libdir/mozilla/components/compreg.dat
%verify (not md5 mtime size) %_libdir/mozilla/components/xpti.dat
#%verify (not md5 mtime size) %_libdir/mozilla/chrome/*.rdf
#%ghost %verify (not md5 mtime size) %_libdir/mozilla/chrome/overlayinfo/*
%config (missingok)  %_libdir/mozilla/chrome/overlayinfo/*
%config (missingok)  %_libdir/mozilla/chrome/*.rdf
%verify (not md5 mtime size) %_libdir/mozilla/chrome/installed-chrome.txt

%files nspr -f %_tmppath/mozilla-nspr.list
%files nspr-devel
%_includedir/nspr/*
%_datadir/aclocal/nspr*
%files nss -f %_tmppath/mozilla-nss.list
%files nss-devel
%_includedir/nss/*
%files mail -f %_tmppath/mozilla-mail.list
%_menudir/%name-mail

%files psm -f %_tmppath/mozilla-psm.list
%files irc -f %_tmppath/mozilla-chat.list
%files devel
%_includedir/mozilla
%_includedir/mozilla-%{version}
%_libdir/mozilla/xpcshell
%_libdir/mozilla/xpidl
%_libdir/mozilla/xpt_dump
%_libdir/mozilla/xpt_link
%_libdir/pkgconfig/*
%_bindir/mozilla-config
%_datadir/idl/mozilla
%_datadir/idl/mozilla-%{version}

#%files xmlterm
#%_bindir/xmlterm
#%_bindir/xcat
#%_bindir/xls
#%_libdir/mozilla/chrome/xmlterm.jar
#%_libdir/mozilla/components/*xmlterm*

%files spellchecker -f %_tmppath/mozilla-spellchecker.list
%files js-debugger -f %_tmppath/mozilla-js-debugger.list
%files dom-inspector -f %_tmppath/mozilla-dom-inspector.list
%files ipc -f %_tmppath/mozilla-ipc.list
%files enigmail -f %_tmppath/mozilla-enigmail.list
%files ru -f %_tmppath/mozilla-ru.list
%files uk -f %_tmppath/mozilla-uk.list
%files calendar -f %_tmppath/mozilla-calendar.list
#files de -f %_tmppath/mozilla-de.package

%changelog
* Mon Feb 10 2003 AEN <aen@altlinux.ru> 1.2.1-alt6
- startup page bug fixed

* Wed Jan 15 2003 AEN <aen@altlinux.ru> 1.2.1-alt5
- Requires on freetype2 >= 2.1.2-alt2 added

* Mon Dec 16 2002 AEN <aen@altlinux.ru> 1.2.1-alt4
- BuildReq generated

* Mon Dec 09 2002 AEN <aen@altlinux.ru> 1.2.1-alt3
- Ukrainian translation restored 

* Wed Dec 04 2002 AEN <aen@altlinux.ru> 1.2.1-alt2
- rebuild-databases.sh fixed 
- searchplugins installation fixed (by hand)

* Tue Dec 03 2002 AEN <aen@altlinux.ru> 1.2.1-alt1
- new version
- %files fixed 
- new russian translation from Fattie

* Tue Oct 22 2002 AEN <aen@altlinux.ru> 1.2-alt0.5
- translation fixed

* Mon Oct 21 2002 AEN <aen@altlinux.ru> 1.2-alt0.4
- new enigmail & spellcheck

* Sat Oct 19 2002 AEN <aen@altlinux.ru> 1.2-alt0.3
- new version
- temporary obsoletes xmlterm, uk & de packages

* Mon Jun 24 2002 AEN <aen@logic.ru> 1.0-alt6
- spellchecker license : LGPL

* Fri Jun 14 2002 AEN <aen@logic.ru> 1.0-alt5
- Requires: val-ttf

* Sun Jun 12 2002 AEN <aen@logic.ru> 1.0-alt4
- userChrome.css added to template
- bookmarks.html customized by Rider

* Mon Jun 10 2002 AEN <aen@logic.ru> 1.0-alt3
- enigmail/ipc updated

* Thu Jun 06 2002 AEN <aen@logic.ru> 1.0-alt2
- enigmail translation fixed

* Wed Jun 05 2002 AEN <aen@logic.ru> 1.0-alt1
- build from 1.0-CVS
- regenerate patches

* Mon May 13 2002 AEN <aen@logic.ru> 0.9.9-alt3
- security fix from mozilla.org

* Thu Mar 21 2002 AEN <aen@logic.ru> 0.9.9-alt2
- new translation from Valentina Vaneeva
- new searchplugins from Sergey Degtyarev
- ukrainian translation from Serhyy Brytskyy
- deutsche (AT) translation
- ipc & enigmail packages by R. Saravanan

* Thu Mar 07 2002 AEN <aen@logic.ru> 0.9.9-alt1
- build with Blizzrd's xft patch
- patch 111 merged upstream
- regenerate patches
- nss & nspr package back
- spellcheck by David Einstein
- remove --enable-xinerama

* Fri Feb 08 2002 AEN <aen@logic.ru> 0.9.8-alt3
- russification moved to ru package
- sync with mozilla-ru-0.9.8 release

* Tue Feb 05 2002 AEN <aen@logic.ru> 0.9.8-alt2
- regru added

* Tue Feb 05 2002 AEN <aen@logic.ru> 0.9.8-alt1
- release 0.9.8
- %post fixed

* Mon Jan 28 2002 AEN <aen@logic.ru> 0.9.8-alt0.4
- new sources
- russian localization added

* Thu Jan 24 2002 AEN <aen@logic.ru> 0.9.8-alt0.3
- mozilla.sh ugly fix

* Thu Jan 24 2002 AEN <aen@logic.ru> 0.9.8-alt0.2
- pre1
- patch 110 merged in mozilla.org tree

* Thu Jan 03 2002 AEN <aen@logic.ru> 0.9.8-alt0.1
- 0103 snapshot

* Thu Jan 03 2002 AEN <aen@logic.ru> 0.9.7-alt4
- official tarball
- fonts patch
- -O2 optimization

* Fri Dec 28 2001 AEN <aen@logic.ru> 0.9.7-alt3
- charset patch

* Thu Dec 27 2001 AEN <aen@logic.ru> 0.9.7-alt2
- js-debuger & dom-inspector packages added

* Tue Dec 25 2001 AEN <aen@logic.ru> 0.9.7-alt1
- new version

* Fri Dec 07 2001 AEN <aen@logic.ru> 0.9.6-alt3
- link to ShockwaveFlash class  added

* Mon Nov 26 2001 AEN <aen@logic.ru> 0.9.6-alt2
- patches 0,1,12 back

* Wed Nov 21 2001 AEN <aen@logic.ru> 0.9.6-alt1
- 0.9.6 release

* Fri Nov 16 2001 AEN <aen@logic.ru> 0.9.6-alt0.1
- 0.9.6pre

* Thu Nov 08 2001 AEN <aen@logic.ru> 0.9.5-alt2
- enable xinerama
- built with O2

* Mon Oct 15 2001 AEN <aen@logic.ru> 0.9.5-alt1
- new version

* Wed Oct 10 2001 AEN <aen@logic.ru> 0.9.4-alt4
- new snapshot from CVS (tag 0_9_4_BRANCH)
- patch 114 (liblber40 moved to mozilla package)

* Mon Oct 1 2001 AEN <aen@logic.ru> 0.9.4-alt3
- new tarball fron CVS

* Mon Sep 17 2001 AEN <aen@logic.ru> 0.9.4-alt1
- release with latest fixes

* Wed Sep 05 2001 AEN <aen@logic.ru> 0.9.4-alt0.1
- snapshot
- libjs temporary removed

* Wed Aug 08 2001 AEN <aen@logic.ru> 0.9.3-alt1
- 0.9.3
- sync with MDK
* Sun Jul 1 2001 AEN <aen@logic.ru> 0.9.2-alt1
- 0.9.2
* Fri Jun 8 2001 AEN <aen@logic.ru> 0.9.1-alt1
- 0.9.1 with bidi
- new patches

* Tue May 22 2001 AEN <aen@logic.ru> 0.9-alt4
- sync with mdk
- psm package obsolette
- xmlterm package
- PreReq: libnspr

* Wed May 16 2001 AEN <aen@logic.ru> 0.9-alt3
- enable mathml
* Thu May 10 2001 AEN <aen@logic.ru> 0.9-alt2
- new utftitle patch
* Thu May 10 2001 AEN <aen@logic.ru> 0.9-alt1
- 0.9

* Mon May 07 2001 AEN <aen@logic.ru> 0.9-alt0.9
- 0.9pre
* Mon May 07 2001 AEN <aen@logic.ru> 0.8.1-alt4
- utf8title patch

* Mon Apr 23 2001 AEN <aen@logic.ru> 0.8.1-alt3
- add new function to embeded interface

* Thu Mar 29 2001 AEN <aen@logic.ru> 0.8.1-alt2
- %post scripts fixed

* Wed Mar 28 2001 AEN <aen@logic.ru> 0.8.1-alt1
- 0.8.1
- sync with blizzard
* Sun Feb 18 2001 AEN <aen@logic.ru> 0.8-ipl1mdk
- 0.8
- sync with blizzard & Frederic
- groups names fixed

* Sun Jan 28 2001 AEN <aen@logic.ru> 0.7-ipl2mdk
- new patches from Chris

* Tue Jan 11 2001 AEN <aen@logic.ru> 0.7-ipl1mdk
- merged with Chris
- chatzilla restored
- xmlterm temporary removed

* Fri Dec 15 2000 AEN <aen@logic.ru>
- build for 7.2RE
- menu
- printing patch
- cyrhack fontmetrics patch

* Tue Dec 05 2000 Christopher Blizzard <blizzard@redhat.com>
- Build on only one CPU until the parallel build problems are worked
  out.
- Don't try to build on ai64

* Thu Oct 26 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix build with new fileutils

* Fri Oct 13 2000 Christopher Blizzard <blizzard@redhat.com>
- Move to post M18 builds

* Mon Oct 2 2000 Christopher Blizzard <blizzard@redhat.com>
- start daily builds - remove the old patches
- delete installed directories for chrome since everything
  is in jar files now.

* Fri Aug 18 2000 Matt Wilson <msw@redhat.com>
- added patch to work around va_arg mess on gcc 2.96

* Wed Aug  9 2000 Christopher Blizzard <blizzard@redhat.com>
- Use official M17 source tarball

* Tue Aug  8 2000 Christopher Blizzard <blizzard@redhat.com>
- Add patch to fix crash when viewing some rgba images
- Add patch to fix sign warnings in gtkmozembed.h header

* Mon Aug  7 2000 Christopher Blizzard <blizzard@redhat.com>
- Build M17 official
- Add patch to fix crash when viewing some png images
- Add patch to fix context menu popup grab behaviour
- Add patch to fix focus problems with the file upload widget

* Thu Jul 27 2000 Christopher Blizzard <blizzard@redhat.com>
- Update to M17 snapshot

* Mon Jul 24 2000 Christopher Blizzard <blizzard@redhat.com>
- Update to most recent snapshot
- Added chrome rdf hacks

* Tue Mar 14 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- initial RPM
